curl --request GET \
--url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'{
"account": {
"account_number": "3331261",
"account_ownership": "INDIVIDUAL",
"annuity_policy_to_date": "2025-12-31",
"annuity_provider": "Metlife",
"annuity_term_year": 30,
"apr": 1,
"apy": 2.35,
"available_balance": 1000,
"available_credit": 4000,
"balance": 1000,
"cash_balance": 2500,
"cash_surrender_value": 1000,
"created_at": "2025-02-13T18:08:00+00:00",
"credit_limit": 5000,
"currency_code": "USD",
"day_payment_is_due": 14,
"death_benefit": 1000,
"federal_insurance_status": "INSURED",
"guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"id": "1040434698",
"imported_at": "2015-10-13T17:57:37.000Z",
"interest_rate": 3.25,
"institution_code": "3af3685e-05d9-7060-359f-008d0755e993",
"insured_name": "Tommy Shelby",
"is_closed": false,
"is_hidden": false,
"is_manual": false,
"last_payment": 100,
"last_payment_at": "2023-07-25T17:14:46Z",
"loan_amount": 1000,
"margin_balance": 1000,
"matures_on": "2015-10-13T17:57:37.000Z",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"member_id": "member123",
"member_is_managed_by_user": false,
"metadata": "some metadata",
"minimum_balance": 100,
"minimum_payment": 10,
"name": "Test account 2",
"nickname": "My Checking",
"original_balance": 10,
"pay_out_amount": 10,
"payment_due_at": "2015-10-13T17:57:37.000Z",
"payoff_balance": 10,
"premium_amount": 1,
"property_type": "VEHICLE",
"routing_number": "68899990000000",
"started_on": "2025-10-13T17:57:37.000Z",
"statement_balance": 1000.5,
"subtype": "MONEY_MARKET",
"today_ugl_amount": 1000.5,
"today_ugl_percentage": 6.9,
"total_account_value": 1,
"total_account_value_ugl": 1,
"type": "CHECKING",
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"user_id": "u-1234"
}
}Read member account
curl --request GET \
--url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'{
"account": {
"account_number": "3331261",
"account_ownership": "INDIVIDUAL",
"annuity_policy_to_date": "2025-12-31",
"annuity_provider": "Metlife",
"annuity_term_year": 30,
"apr": 1,
"apy": 2.35,
"available_balance": 1000,
"available_credit": 4000,
"balance": 1000,
"cash_balance": 2500,
"cash_surrender_value": 1000,
"created_at": "2025-02-13T18:08:00+00:00",
"credit_limit": 5000,
"currency_code": "USD",
"day_payment_is_due": 14,
"death_benefit": 1000,
"federal_insurance_status": "INSURED",
"guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"id": "1040434698",
"imported_at": "2015-10-13T17:57:37.000Z",
"interest_rate": 3.25,
"institution_code": "3af3685e-05d9-7060-359f-008d0755e993",
"insured_name": "Tommy Shelby",
"is_closed": false,
"is_hidden": false,
"is_manual": false,
"last_payment": 100,
"last_payment_at": "2023-07-25T17:14:46Z",
"loan_amount": 1000,
"margin_balance": 1000,
"matures_on": "2015-10-13T17:57:37.000Z",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"member_id": "member123",
"member_is_managed_by_user": false,
"metadata": "some metadata",
"minimum_balance": 100,
"minimum_payment": 10,
"name": "Test account 2",
"nickname": "My Checking",
"original_balance": 10,
"pay_out_amount": 10,
"payment_due_at": "2015-10-13T17:57:37.000Z",
"payoff_balance": 10,
"premium_amount": 1,
"property_type": "VEHICLE",
"routing_number": "68899990000000",
"started_on": "2025-10-13T17:57:37.000Z",
"statement_balance": 1000.5,
"subtype": "MONEY_MARKET",
"today_ugl_amount": 1000.5,
"today_ugl_percentage": 6.9,
"total_account_value": 1,
"total_account_value_ugl": 1,
"type": "CHECKING",
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"user_id": "u-1234"
}
}account resource.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Path Parameters
Use either the account id you defined or the MX-defined account guid. See MX-Defined GUIDs vs IDs Defined by You.
Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.
Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You.
Response
OK
Hide child attributes
Hide child attributes
The account number associated with the account. This will typically be a masked or partial account number.
"3331261"
The type of ownership associated with the account. NULL is returned if not received in the data feed.
UNKNOWN, INDIVIDUAL, JOINT, MULTIPLE, null "INDIVIDUAL"
The date until which the policy is in effect.
"2025-12-31"
The provider of the insurance policy.
"Metlife"
The effective duration of an insurance policy (one year, five years, etc.).
30
The annual percentage rate associated with the account.
1
The annual percentage yield associated with the account.
2.35
The balance that is available for use in asset accounts like checking and savings.
PENDING transactions are typically (not always) taken into account with the available balance.
available_balance will usually be a positive value for all account types, determined in the same way as the balance field.
1000
The amount of credit available for use in liability accounts like credit cards and lines of credit.
PENDING transactions are typically (not always) taken into account with available credit.
available_credit will usually be a positive value for all account types, determined in the same way as the balance field.
4000
The current balance of the account.
PENDING transactions are typically not taken into account with the current balance, but this may not always be the case.
The balance will usually be a positive value for all account types. Asset-type accounts (CHECKING, SAVINGS, INVESTMENT) may have a negative balance if they are in overdraft.
Debt-type accounts (CREDIT_CARD, LOAN, LINE_OF_CREDIT, MORTGAGE) may have a negative balance if they are overpaid.
1000
The cash balance of the account.
2500
The sum of money paid to the policyholder or annuity holder in the event the policy is voluntarily terminated before it matures, or the insured event occurs.
1000
The date and time the account was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The credit limit associated with the account.
5000
The three-character ISO 4217 currency code, for example, USD.
"USD"
The day of the month the payment is due. For example, the 14th is passed as 14.
14
The amount paid to the beneficiary of the account upon death of the account owner.
1000
The federal insurance status of the account. Indicates whether the account is insured by the FDIC (banks) or NCUA (credit unions).
Returns an integer (UNKNOWN_INSURED = 0, INSURED = 1, NOT_INSURED = 2).
UNKNOWN_INSURED, INSURED, NOT_INSURED "INSURED"
Unique identifier for the account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The unique partner-defined identifier for the account.
"1040434698"
The date and time at which the account was last successfully aggregated and received data.
"2015-10-13T17:57:37.000Z"
The interest rate associated with the account.
3.25
The code identifying a financial institution.
"3af3685e-05d9-7060-359f-008d0755e993"
The name of the insured person.
"Tommy Shelby"
Indicates whether an account has been closed. Closed accounts will no longer update balance or transaction information.
false
Indicates whether the account is hidden. Hidden accounts can still have an active balance and receive transactions. Defaults to false.
false
Indicates whether the transaction was manually created or belongs to a manual account.
false
The amount of the most recent payment on the account.
100
The date and time when the last payment was made, represented in ISO 8601 format with a timestamp.
"2023-07-25T17:14:46Z"
The amount of the loan associated with the account.
1000
Represents the amount of debt the investor owes to the broker for the use of margin. It can be positive or negative, depending on the performance of the investments made with the borrowed funds. A positive margin balance indicates that the securities purchased on margin have increased in value, whereas a negative margin balance signifies that the securities have decreased in value.
1000
The date on which the account matures.
"2015-10-13T17:57:37.000Z"
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique, partner-defined, identifier for the member associated with this account.
"member123"
This indicates whether the member is managed by the user or the MX partner. Members created with the managed member feature will have this field set to false.
false
Additional information you stored about the account.
"some metadata"
The minimum balance associated with the account.
100
The minimum payment required for an account. This can apply to any debt account.
10
The human-readable name for the resource.
"Test account 2"
An alternate name for the account.
"My Checking"
The original balance associated with the account. This will always be positive.
10
The amount paid out to the insured individual or beneficiary under the conditions of the insurance policy.
10
The date and time at which the next payment is due on the account.
"2015-10-13T17:57:37.000Z"
The payoff balance for a debt account. This will normally be a positive number.
10
The insurance policy's premium amount.
1
Subtype if the account type is PROPERTY. This field should be ignored unless the type is set to PROPERTY.
APPLIANCES, ART, COMPUTER, ELECTRONICS, FURNITURE, JEWELRY, MISCELLANEOUS, REAL_ESTATE, SPORTS_EQUIPMENT, VEHICLE "VEHICLE"
The routing number for the account.
"68899990000000"
The date on which the loan from a debt account started.
"2025-10-13T17:57:37.000Z"
The balance at the end of the account's last statement period.
1000.5
The unrealized gain/loss amount for the day for the account.
1000.5
The unrealized gain/loss percentage for the date for the account.
6.9
The sum of the long and short positions, the sweep account and/or cash balance, and any margin debt associated with a particular account. This amount includes the market value of all positions held in the account and is reduced by any debit balance and the amount of short options positions that are "in the money". This may sum to a negative value, and it does not represent an account balance.
1
The unrealized gains and losses represent the amount the account has gained or lost based on the purchase price. This is calculated by subtracting the purchase price from the current market value. It does not affect the account until the positions are sold and "realized". This may sum to a negative value, and it does not represent an account balance.
1
The type of account. Some account types may include subtypes.
ANY, CASH, CHECKING, CHECKING_LINE_OF_CREDIT, CREDIT_CARD, LOAN, LINE_OF_CREDIT, SAVINGS, INVESTMENT, MORTGAGE, INSURANCE, PREPAID, PROPERTY "CHECKING"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The unique partner-defined identifier for the user.
"u-1234"

